Description

The buttons in the source select dialogues of the Manage Layers toolbar in QGIS master are currently arranged at bottom left of the box

as [Close, Add].  In my Windows 7 environment I would expect the buttons to be arranged [Add, Close] as they are in QGIS 2.18.x.

In addition, some extremely minor adjustments are needed on the Virtual Layer tab (the buttons move a few pixels down and right, the

Add button is activated, Help button), the WFS/ArcGIS Map Server/ArcGIS Feature Server/GeoNode tabs (the buttons move a few pixels

down and right).

I asked the question on the mailing list (http://lists.osgeo.org/pipermail/qgis-user/2017-December/041232.html) and Alessandro replied

saying the buttons could be moved from the base class to the UI file to improve placement and order.

Associated revisions

Revision 8fb147f8 - 2017-12-21 05:21 PM - Alessandro Pasotti 

Use standard buttons for unified add layer dialog

Fixes #17728 by setting the standard buttons in the

button box instead of manually adding them by code.

This way the buttons should honor the platform-specific

position and look&feel.

History

#1 - 2017-12-22 08:12 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|8fb147f8029e515d64667c562a96ccd05995217f.

#2 - 2017-12-22 08:17 AM - Alessandro Pasotti

Note that I've only moved the buttons to the main button box using the methods of the button box, this means that the buttons will take the order and the

look and feel specified by the platform/O.S. used.

I didn't address any other issue and I don't think that it is a good idea to change the "standard" order of the buttons within respect with that specified by the

O.S. UX/UI guidelines.

2024-04-29 1/2

http://lists.osgeo.org/pipermail/qgis-user/2017-December/041232.html


#3 - 2018-02-22 11:41 AM - Giovanni Manghi

- Resolution set to fixed/implemented
